Name:           geotagger
Version:        1.0.3
Release:        1%{?dist}
Summary:        Display and modify GPS location data in photos

License:        GPLv2+
URL:            http://www.tvdr.de/geotagger/index.htm 
# checkout instructions
# http://git.tvdr.de/?p=geotagger.git;a=snapshot;h=refs/tags/1.0.3;sf=tbz2
# or
# git clone -b stable/1.0 http://git.tvdr.de/geotagger.git geotagger-1.0.3
# cd geotagger-1.0.3
# tar cfj geotagger-1.0.3.tar.bz2 geotagger-1.0.3

Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(Qt5Positioning)

%description
This tool provides user interface for geotagging photos. It allows

%prep
%setup -q
sed -i -e 's|target.path = /opt/$${TARGET}/bin|target.path = /usr/bin|' geotagger.pro


%build
%{qmake_qt5} geotagger.pro 
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
install -Dm 644 icons/%{name}-64.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

mkdir -p  %{buildroot}%{_datadir}/applications
desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications              \
%{SOURCE1}

# Desktop file
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc ChangeLog README help/%{name}*.html
%license COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Apr  27 2022 Martin Gansser <martinkg@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3

* Mon Mar 21 2022 Martin Gansser <martinkg@fedoraproject.org> - 1.0.1-1
- Initial packaging
